/*
 * Copyright (c) 2008 Institute of Computing Technology of Chinese Academy of Sciences and Telefónica Investigación y Desarrollo SAU.
 * All rights reserved.
 *
 * This file is part of Linux-XOS-VOsupport, which is part of XtreemOS,
 * a Linux-based Grid Operating System, see <http://www.xtreemos.eu> for more details.
 * The XtreemOS project has been developed with the financial support of the European
 * Commission's IST program under contract #FP6-033576.
 *
 * Linux-XOS-VOsupport is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software Foundation,
 * either version 2 of the License, or (at your option) any later version.
 *
 * Linux-XOS-VOsupport is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with LinuxMD-XOS.
 * If not, see <http://www.gnu.org/licenses/>.
 *
 * */


/** @file xos_lxc.h
 * @brief cgroup control interfaces
 *
 * 
 */


#ifndef _XOS_LXC_H_
#define _XOS_LXC_H_

//static int get_cgroupfs_mount(const char *mtab, char *mnt, char *subsys);
int hd_cgroupfs_mount(char *subsys);

int hd_cgroupfs_umount(char *subsys);

int hd_destroy_cgroup(char *name, char *subsys);
int hd_create_cgroup(char *name, char *subsys);
int hd_cgroup_addpid(char *subsys, char *name, int pid);

#endif
