#ifndef _XOS_CACHE_H_
#define _XOS_CACHE_H_

#include "xos.h"
#include "xos_dbaux.h"

void ams_cache_create();
void ams_cache_destroy();
void ams_cache_dump();
void ams_cache_clear();

int ams_cache_gpwd_insert(GPASSWD *gpwd);
int ams_cache_ggrp_insert(GGROUPS *ggrp);
int ams_cache_gpwd_erase(GPASSWD *gpwd);
int ams_cache_ggrp_erase(GGROUPS *ggrp);
int ams_cache_gpwd_search(char *key_dn, char *key_vo, char *key_role, GPASSWD *gpwd);
int ams_cache_ggrp_search(char *key_vo, char *key_role, GGROUPS *ggrp);
int ams_cache_uidgid_search(char *username, int user_uid, char *grpname, int user_gid,
		                        GPASSWD *gpwd, GGROUPS *ggrp);

int ams_cache_whole_erase(char *key_dn, char *key_vo, char *key_role, int user_uid,  int user_gid);

#endif
